package com.cholz.client.local;

import javax.inject.Inject;

import org.jboss.errai.databinding.client.api.DataBinder;
import org.jboss.errai.ui.nav.client.local.Page;
import org.jboss.errai.ui.nav.client.local.TransitionTo;
import org.jboss.errai.ui.shared.api.annotations.AutoBound;
import org.jboss.errai.ui.shared.api.annotations.Bound;
import org.jboss.errai.ui.shared.api.annotations.DataField;
import org.jboss.errai.ui.shared.api.annotations.EventHandler;
import org.jboss.errai.ui.shared.api.annotations.Templated;

import com.google.gwt.core.client.GWT;
import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.TextBox;

@Templated("#template")
@Page(startingPage=true)
public class Page1 extends Composite{
	
	@Inject @AutoBound DataBinder<MyData> dataBinder;
	@Inject MyData myData;
	
	@Inject TransitionTo<Page2> buttonClicked;
	
	@Inject @DataField Button button;
	@Inject @Bound @DataField TextBox text;
	
	@EventHandler("button")
	public void selectNext(ClickEvent e) {
		GWT.log(dataBinder.getModel().getText());
		myData=dataBinder.getModel();
		GWT.log(myData.getText());
		buttonClicked.go();
	}
}